3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('test'); } catch ( Exception $e ) { echo $e; }
Output for 7.0.0 - 7.1.0
Exception: test in /in/GLoYB:4 Stack trace: #0 {main}
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28, hhvm-3.10.0 - 3.12.0
exception 'Exception' with message 'test' in /in/GLoYB:4 Stack trace: #0 {main}
Output for 5.0.3 - 5.0.4
exception 'Exception' with message 'test' in /in/GLoYB:4 Stack trace: #0 /in/GLoYB(4): unknown() #1 {main}
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/GLoYB on line 2
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/GLoYB on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/GLoYB on line 2
Process exited with code 255.